<!DOCTYPE html>
<html><head>
<title>eric7.EricXML.XMLStreamReaderBase</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricXML.XMLStreamReaderBase</h1>
<p>
Module implementing a base class for all of eric7s XML stream writers.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#XMLStreamReaderBase">XMLStreamReaderBase</a></td>
<td>Class implementing a base class for all of eric7s XML stream readers.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="XMLStreamReaderBase" ID="XMLStreamReaderBase"></a>
<h2>XMLStreamReaderBase</h2>
<p>
    Class implementing a base class for all of eric7s XML stream readers.
</p>

<h3>Derived from</h3>
QXmlStreamReader
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#XMLStreamReaderBase.__init__">XMLStreamReaderBase</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.__readDict">__readDict</a></td>
<td>Private method to read a Python dictionary.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.__readFrozenset">__readFrozenset</a></td>
<td>Private method to read a Python frozenset.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.__readList">__readList</a></td>
<td>Private method to read a Python list.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.__readSet">__readSet</a></td>
<td>Private method to read a Python set.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.__readTuple">__readTuple</a></td>
<td>Private method to read a Python tuple.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase._readBasics">_readBasics</a></td>
<td>Protected method to read an object of a basic Python type.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase._skipUnknownElement">_skipUnknownElement</a></td>
<td>Protected method to skip over all unknown elements.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.attribute">attribute</a></td>
<td>Public method to read the given attribute of the current tag.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.raiseBadValue">raiseBadValue</a></td>
<td>Public method to raise an error for a bad value.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.raiseUnexpectedStartTag">raiseUnexpectedStartTag</a></td>
<td>Public method to raise an error for an unexpected start tag.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.raiseUnsupportedFormatVersion">raiseUnsupportedFormatVersion</a></td>
<td>Public method to raise an error for an unsupported file format version.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.readXML">readXML</a></td>
<td>Public method to read and parse the XML document.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.showErrorMessage">showErrorMessage</a></td>
<td>Public method to show an error message.</td>
</tr>
<tr>
<td><a href="#XMLStreamReaderBase.toBool">toBool</a></td>
<td>Public method to convert the given value to bool.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="XMLStreamReaderBase.__init__" ID="XMLStreamReaderBase.__init__"></a>
<h4>XMLStreamReaderBase (Constructor)</h4>
<b>XMLStreamReaderBase</b>(<i>device</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>device</i> (QIODevice)</dt>
<dd>
reference to the I/O device to read from
</dd>
</dl>
<a NAME="XMLStreamReaderBase.__readDict" ID="XMLStreamReaderBase.__readDict"></a>
<h4>XMLStreamReaderBase.__readDict</h4>
<b>__readDict</b>(<i></i>)
<p>
        Private method to read a Python dictionary.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python dictionary
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict
</dd>
</dl>
<a NAME="XMLStreamReaderBase.__readFrozenset" ID="XMLStreamReaderBase.__readFrozenset"></a>
<h4>XMLStreamReaderBase.__readFrozenset</h4>
<b>__readFrozenset</b>(<i></i>)
<p>
        Private method to read a Python frozenset.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python frozenset
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
frozenset
</dd>
</dl>
<a NAME="XMLStreamReaderBase.__readList" ID="XMLStreamReaderBase.__readList"></a>
<h4>XMLStreamReaderBase.__readList</h4>
<b>__readList</b>(<i></i>)
<p>
        Private method to read a Python list.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python list
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list
</dd>
</dl>
<a NAME="XMLStreamReaderBase.__readSet" ID="XMLStreamReaderBase.__readSet"></a>
<h4>XMLStreamReaderBase.__readSet</h4>
<b>__readSet</b>(<i></i>)
<p>
        Private method to read a Python set.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python set
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
set
</dd>
</dl>
<a NAME="XMLStreamReaderBase.__readTuple" ID="XMLStreamReaderBase.__readTuple"></a>
<h4>XMLStreamReaderBase.__readTuple</h4>
<b>__readTuple</b>(<i></i>)
<p>
        Private method to read a Python tuple.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python tuple
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple
</dd>
</dl>
<a NAME="XMLStreamReaderBase._readBasics" ID="XMLStreamReaderBase._readBasics"></a>
<h4>XMLStreamReaderBase._readBasics</h4>
<b>_readBasics</b>(<i></i>)
<p>
        Protected method to read an object of a basic Python type.
</p>

<dl>
<dt>Return:</dt>
<dd>
Python object read
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
Any
</dd>
</dl>
<a NAME="XMLStreamReaderBase._skipUnknownElement" ID="XMLStreamReaderBase._skipUnknownElement"></a>
<h4>XMLStreamReaderBase._skipUnknownElement</h4>
<b>_skipUnknownElement</b>(<i></i>)
<p>
        Protected method to skip over all unknown elements.
</p>

<a NAME="XMLStreamReaderBase.attribute" ID="XMLStreamReaderBase.attribute"></a>
<h4>XMLStreamReaderBase.attribute</h4>
<b>attribute</b>(<i>name, default=""</i>)
<p>
        Public method to read the given attribute of the current tag.
</p>

<dl>

<dt><i>name</i> (str)</dt>
<dd>
name of the attribute
</dd>
<dt><i>default</i> (str)</dt>
<dd>
default value
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
value of the requested tag attribute
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="XMLStreamReaderBase.raiseBadValue" ID="XMLStreamReaderBase.raiseBadValue"></a>
<h4>XMLStreamReaderBase.raiseBadValue</h4>
<b>raiseBadValue</b>(<i>value</i>)
<p>
        Public method to raise an error for a bad value.
</p>

<dl>

<dt><i>value</i> (str)</dt>
<dd>
bad value
</dd>
</dl>
<a NAME="XMLStreamReaderBase.raiseUnexpectedStartTag" ID="XMLStreamReaderBase.raiseUnexpectedStartTag"></a>
<h4>XMLStreamReaderBase.raiseUnexpectedStartTag</h4>
<b>raiseUnexpectedStartTag</b>(<i>tag</i>)
<p>
        Public method to raise an error for an unexpected start tag.
</p>

<dl>

<dt><i>tag</i> (str)</dt>
<dd>
name of the unexpected tag
</dd>
</dl>
<a NAME="XMLStreamReaderBase.raiseUnsupportedFormatVersion" ID="XMLStreamReaderBase.raiseUnsupportedFormatVersion"></a>
<h4>XMLStreamReaderBase.raiseUnsupportedFormatVersion</h4>
<b>raiseUnsupportedFormatVersion</b>(<i>version</i>)
<p>
        Public method to raise an error for an unsupported file format version.
</p>

<dl>

<dt><i>version</i> (str)</dt>
<dd>
unsupported version
</dd>
</dl>
<a NAME="XMLStreamReaderBase.readXML" ID="XMLStreamReaderBase.readXML"></a>
<h4>XMLStreamReaderBase.readXML</h4>
<b>readXML</b>(<i></i>)
<p>
        Public method to read and parse the XML document.
</p>

<a NAME="XMLStreamReaderBase.showErrorMessage" ID="XMLStreamReaderBase.showErrorMessage"></a>
<h4>XMLStreamReaderBase.showErrorMessage</h4>
<b>showErrorMessage</b>(<i></i>)
<p>
        Public method to show an error message.
</p>

<a NAME="XMLStreamReaderBase.toBool" ID="XMLStreamReaderBase.toBool"></a>
<h4>XMLStreamReaderBase.toBool</h4>
<b>toBool</b>(<i>value</i>)
<p>
        Public method to convert the given value to bool.
</p>

<dl>

<dt><i>value</i> (str)</dt>
<dd>
value to be converted ("True", "False", "1", "0")
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted value or None in case of an error
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
